package com.jianshui.platform.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 导入设置对象 invoice_param_config
 * 
 * @author kane
 * @date 2023-06-28
 */
public class InvoiceParamConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String companyName;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String receiptNumber;

    /** 客户名称/编码 */
    @Excel(name = "客户名称/编码")
    private String customerName;

    /** 客户税号 */
    @Excel(name = "客户税号")
    private String customerTaxNumber;

    /** 客户地址 */
    @Excel(name = "客户地址")
    private String customerAddress;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String customerPhone;

    /** 开户银行 */
    @Excel(name = "开户银行")
    private String bankName;

    /** 银行账号 */
    @Excel(name = "银行账号")
    private String bankNumber;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 商品名称/编码 */
    @Excel(name = "商品名称/编码")
    private String productName;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specification;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 单价 */
    @Excel(name = "单价")
    private String price;

    /** 数量 */
    @Excel(name = "数量")
    private String num;

    /** 金额 */
    @Excel(name = "金额")
    private String taxamt;

    /** 税率 */
    @Excel(name = "税率")
    private String taxrate;

    /** 税额 */
    @Excel(name = "税额")
    private String tax;

    /** 折扣 */
    @Excel(name = "折扣")
    private String discount;

    /** 扣除额 */
    @Excel(name = "扣除额")
    private String deduction;

    /** 单价含税不含税标识 */
    @Excel(name = "单价含税不含税标识")
    private String signboard;

    /** 零税率标识 */
    @Excel(name = "零税率标识")
    private String zeroTaxRate;

    /** 编码简称 */
    @Excel(name = "编码简称")
    private String encodingName;

    /** 编码版本号 */
    @Excel(name = "编码版本号")
    private String encodingVersion;

    /** 优惠政策类型 */
    @Excel(name = "优惠政策类型")
    private String discountsType;

    /** 税收分类编码 */
    @Excel(name = "税收分类编码")
    private String taxClassificationCode;

    /** 是否享受优惠政策 */
    @Excel(name = "是否享受优惠政策")
    private String isornotDiscounts;

    /** 订单来源（1-模板导入，2-API调用，3-手工录入，4-扫码开票) */
    private String source;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setReceiptNumber(String receiptNumber) 
    {
        this.receiptNumber = receiptNumber;
    }

    public String getReceiptNumber() 
    {
        return receiptNumber;
    }
    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }
    public void setCustomerTaxNumber(String customerTaxNumber) 
    {
        this.customerTaxNumber = customerTaxNumber;
    }

    public String getCustomerTaxNumber() 
    {
        return customerTaxNumber;
    }
    public void setCustomerAddress(String customerAddress) 
    {
        this.customerAddress = customerAddress;
    }

    public String getCustomerAddress() 
    {
        return customerAddress;
    }
    public void setCustomerPhone(String customerPhone) 
    {
        this.customerPhone = customerPhone;
    }

    public String getCustomerPhone() 
    {
        return customerPhone;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setBankNumber(String bankNumber) 
    {
        this.bankNumber = bankNumber;
    }

    public String getBankNumber() 
    {
        return bankNumber;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setProductName(String productName) 
    {
        this.productName = productName;
    }

    public String getProductName() 
    {
        return productName;
    }
    public void setSpecification(String specification) 
    {
        this.specification = specification;
    }

    public String getSpecification() 
    {
        return specification;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setNum(String num) 
    {
        this.num = num;
    }

    public String getNum() 
    {
        return num;
    }
    public void setTaxamt(String taxamt) 
    {
        this.taxamt = taxamt;
    }

    public String getTaxamt() 
    {
        return taxamt;
    }
    public void setTaxrate(String taxrate) 
    {
        this.taxrate = taxrate;
    }

    public String getTaxrate() 
    {
        return taxrate;
    }
    public void setTax(String tax) 
    {
        this.tax = tax;
    }

    public String getTax() 
    {
        return tax;
    }
    public void setDiscount(String discount) 
    {
        this.discount = discount;
    }

    public String getDiscount() 
    {
        return discount;
    }
    public void setDeduction(String deduction) 
    {
        this.deduction = deduction;
    }

    public String getDeduction() 
    {
        return deduction;
    }
    public void setSignboard(String signboard) 
    {
        this.signboard = signboard;
    }

    public String getSignboard() 
    {
        return signboard;
    }
    public void setZeroTaxRate(String zeroTaxRate) 
    {
        this.zeroTaxRate = zeroTaxRate;
    }

    public String getZeroTaxRate() 
    {
        return zeroTaxRate;
    }
    public void setEncodingName(String encodingName) 
    {
        this.encodingName = encodingName;
    }

    public String getEncodingName() 
    {
        return encodingName;
    }
    public void setEncodingVersion(String encodingVersion) 
    {
        this.encodingVersion = encodingVersion;
    }

    public String getEncodingVersion() 
    {
        return encodingVersion;
    }
    public void setDiscountsType(String discountsType) 
    {
        this.discountsType = discountsType;
    }

    public String getDiscountsType() 
    {
        return discountsType;
    }
    public void setTaxClassificationCode(String taxClassificationCode) 
    {
        this.taxClassificationCode = taxClassificationCode;
    }

    public String getTaxClassificationCode() 
    {
        return taxClassificationCode;
    }
    public void setIsornotDiscounts(String isornotDiscounts) 
    {
        this.isornotDiscounts = isornotDiscounts;
    }

    public String getIsornotDiscounts() 
    {
        return isornotDiscounts;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyName", getCompanyName())
            .append("receiptNumber", getReceiptNumber())
            .append("customerName", getCustomerName())
            .append("customerTaxNumber", getCustomerTaxNumber())
            .append("customerAddress", getCustomerAddress())
            .append("customerPhone", getCustomerPhone())
            .append("bankName", getBankName())
            .append("bankNumber", getBankNumber())
            .append("phone", getPhone())
            .append("email", getEmail())
            .append("remark", getRemark())
            .append("productName", getProductName())
            .append("specification", getSpecification())
            .append("unit", getUnit())
            .append("price", getPrice())
            .append("num", getNum())
            .append("taxamt", getTaxamt())
            .append("taxrate", getTaxrate())
            .append("tax", getTax())
            .append("discount", getDiscount())
            .append("deduction", getDeduction())
            .append("signboard", getSignboard())
            .append("zeroTaxRate", getZeroTaxRate())
            .append("encodingName", getEncodingName())
            .append("encodingVersion", getEncodingVersion())
            .append("discountsType", getDiscountsType())
            .append("taxClassificationCode", getTaxClassificationCode())
            .append("isornotDiscounts", getIsornotDiscounts())
            .append("source", getSource())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
